### Function

# Camel Charset best

#### Declaration [src]

    const gchar*
    camel_charset_best (
      const gchar* in,
      gint len
    )

#### Description [src]

Finds the minimum charset for this string NULL means US-ASCII.

#### Parameters

`in`

  Type: An array of `gchar`

  Input text.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the function.

`len`

  Type: `gint`

  Length of the input text.

#### Return value

Type: `const gchar*`

The minimum charset or NULL for US_ASCII.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.